## minc-tools 2.3.00%2Bdfsg

=== debian/watch ===
version=4
opts="uversionmangle=s/-/./g,repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g" \
  https://github.com/BIC-MNI/minc-tools/tags .*/minc-tools@ANY_VERSION@@ARCHIVE_EXT@

#   http://packages.bic.mni.mcgill.ca/tgz/ minc-(.*)\.tar\.gz
