=== conversion/ecattominc/Makefile ===
# --------------------------------------------------------------------
#
# MINC Makefile
#

#ROOT = ../../minc
#include $(ROOT)/Make_machine_specific
#include $(ROOT)/Make_configuration

# Executable names
PROGS    = ecattominc dump_ecat_header
EXTRA_OBJS = ecat_file.o insertblood.o
HEADERS  = ecat_file.h ecat_header_definition.h
CDEFINES = -DDEBUG                 # cpp defines
LDOPT    = $(PROG_LDOPT)
MANSECT  = 1
#MANPAGES = $(PROGS).$(MANSECT)

#include $(ROOT)/progs/Make_progs
