=== debian/control ===
Source: minc-tools
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Steve M. Robbins <smr@debian.org>,
           Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 10),
               cmake,
               bison,
               flex,
               libminc-dev (>= 2.3),
               libnifti-dev,
               libnetcdf-dev,
               zlib1g-dev,
               texlive-latex-base,
               libhdf5-dev
Standards-Version: 4.1.1
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/minc-tools.git
Vcs-Git: https://anonscm.debian.org/git/debian-med/minc-tools.git
Homepage: http://www.bic.mni.mcgill.ca/ServicesSoftware/HomePage

Package: minc-tools
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         netcdf-bin,
         libgetopt-tabular-perl,
         libtext-format-perl,
         imagemagick
Description: MNI medical image format tools
 This package contains tools to manipulate MINC files.
 .
 The Minc file format is a highly flexible medical image file format
 built on top of the NetCDF generalized data format. The format is
 simple, self-describing, extensible, portable and N-dimensional, with
 programming interfaces for both low-level data access and high-level
 volume manipulation. On top of the libraries is a suite of generic
 image-file manipulation tools. The format, libraries and tools are
 designed for use in a medical-imaging research environment: they are
 simple and powerful and make no attempt to provide a pretty interface
 to users.
