=== debian/watch ===
version=4
opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g" \
   http://packages.bic.mni.mcgill.ca/tgz/ minc-(.*)\.tar\.gz
